## oem-pci-sunix-1769839-xenial-osp1-dkms 2.0.4.4ubuntu2

=== oem-pci-sunix-1769839-xenial-osp1/Makefile ===
# Copyright 2006 - 2012  SUNIX Co., Ltd. all right reserved
# for kernel 2.6
KVER?= $(shell uname -r)
DRIVERNAME := snx

obj-m += $(DRIVERNAME).o
$(DRIVERNAME)-y := snx_main.o snx_devtable.o \
				   snx_serial.o \
				   snx_parallel.o snx_share.o snx_ieee1284.o snx_ieee1284_ops.o \
				   snx_ppdev.o \
				   snx_lp.o
ccflags-y = -I/usr/lib/gcc/x86_64-linux-gnu/7/include

# DKMS
KVER ?= $(KVER)
KERNELBUILD := /lib/modules/$(KVER)/build

all:
	make -C $(KERNELBUILD) M=$(shell pwd) $(MAKE_OPTS) modules

clean:
	make -C $(KERNELBUILD) M=$(shell pwd) clean

=== debian/changelog ===
oem-pci-sunix-1769839-xenial-osp1-dkms (2.0.4.4ubuntu2) bionic; urgency=medium

  * Obsolete by 4.15.0-1069.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Wed, 19 Feb 2020 08:49:32 +0000

oem-pci-sunix-1769839-xenial-osp1-dkms (2.0.4.4ubuntu1) xenial; urgency=medium

  * Unbind the snx device before insert snx module.

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Sat, 01 Sep 2018 18:52:15 +0800

oem-pci-sunix-1769839-xenial-osp1-dkms (2.0.4.4) xenial; urgency=low

  * Automatically packaged by DKMS helper.

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Fri, 13 Jul 2018 12:46:43 +0800

=== debian/control ===
Source: oem-pci-sunix-1769839-xenial-osp1-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 4.1.4

Package: oem-pci-sunix-1769839-xenial-osp1-dkms
Architecture: amd64
Depends: dkms (>= 2.3-3ubuntu9.7), ${misc:Depends}
Description: oem-pci-sunix-1769839-xenial-osp1 driver in DKMS format wrapped by dkms-helper.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-pci-sunix-1769839-xenial-osp1
NAME=oem-pci-sunix-1769839-xenial-osp1
VERSION=2.0.4.4ubuntu2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
